Delete
curl --request DELETE \
--url http://{host}:{port}/{contextPath}/deployment/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/deployment/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/deployment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}Deployment
Delete
Deletes a deployment by id.
DELETE
/
deployment
/
{id}
Delete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the deployment to be deleted.
Query Parameters
true, if all process instances, historic process instances and jobs for this deployment
should be deleted.
true, if only the built-in ExecutionListeners should be notified with the end event.
true, if all input/output mappings should not be invoked.
Response
Request successful.